<template>
    <div class="chat-lists">
        <form>
            <div class="form-action">
                <textarea placeholder="Enter your message" 
                            class="form-control" 
                            resizeable="none"
                            v-model="body"
                            @keydown="handleInput">
                </textarea>
            </div>
        </form>
    </div>
</template>

<script>
//    import moment from 'moment'
    import BusEvent from '../../bus'
    export default {
        data() {
            return {
                body : []
            }
        },
        props: ['recieverid'],
        methods : {
            handleInput(e){
                if(e.keyCode === 13 && !e.shifyKey){
                    e.preventDefault();
                    this.submit()
                }
            },
            submit(){
                let input = this.body.trim();
                if(input !== ''){
                    let newChat = {
                        subject : input,

//                        created_at : moment().utc(0).format('YY-MM-DD HH:mm:ss'),
                        sender : {
                            name : Laravel.user.name,
                            id : Laravel.user.id
                        },
                        reciever : {
                            id : this.recieverid
                        }
                    }
                    axios.post('/chat', {subject: input, reciever_id: this.recieverid})
                    // .then(response =>{
                    //     console.log(response)
                    // })
                    ;

                    BusEvent.$emit('chat.sent', newChat);
                    this.body = '';
                }
            }
        }
    }
</script>
